import 'package:jt_flutter_cli/jt_flutter_cli.dart' as jt_flutter_cli;

void main(List<String> arguments) async {
  if (arguments.isNotEmpty && arguments.length == 3) {
    /// create new feature (create feature name_of_feature)
    if (arguments[0] == 'create' && arguments[1] == 'feature') {
      String featureName = arguments[2];
      jt_flutter_cli.createFeature(featureName);
    }

    /// create widget (create widget name_of_widget)
    if (arguments[0] == 'create' && arguments[1] == 'widget') {
      String widgetName = arguments[2];
      jt_flutter_cli.createWidget(widgetName);
    }
  }

  if (arguments.isNotEmpty && arguments.length == 5) {
    /// create new feature (create feature name_of_feature)
    if (arguments[0] == 'create' && arguments[1] == 'model') {
      String modelName = arguments[2];
      String featureName = arguments[3];
      String jsonFilePath = arguments[4];
      jt_flutter_cli.createModel(modelName, featureName, jsonFilePath);
    }
  }

  if (arguments.isNotEmpty && arguments.length == 4) {
    /// create new feature (create feature name_of_feature)
    if (arguments[0] == 'Add' &&
        (arguments[1] == 'get-api-call' ||
            arguments[1] == 'post-api-call' ||
            arguments[1] == 'multipart-api-call')) {
      String apiEndPoint = arguments[2];
      String apiName = arguments[3];
      jt_flutter_cli.generateApiCallCode(arguments[1], apiEndPoint, apiName);
    }
  }

  await jt_flutter_cli.formatCode();
}
