import 'dart:io';

import 'package:jt_flutter_cli/create_model/utils/helpers.dart';
import 'package:jt_flutter_cli/create_model/utils/model_generator.dart';

void generateDartModel(
    String modelName, String featureName, String jsonFilePath) {
  try {
    final jsonString = File(jsonFilePath).readAsStringSync();
    var dartCode =
        ModelGenerator(camelCase(modelName)).generateDartClasses(jsonString);

    final outputFileName = '$modelName.dart';

    File("lib/features/$featureName/data/model/$outputFileName")
        .writeAsStringSync(dartCode.code);
    print('Dart model class generated successfully in $outputFileName');
  } catch (e) {
    print('Error: $e');
    exit(1);
  }
}
