import 'package:jt_flutter_cli/add_api_call/api_call_cli.dart' as api_call_cli;
import 'package:jt_flutter_cli/create_feature/create_feature_cli.dart'
    as create_feature_cli;
import 'package:jt_flutter_cli/create_model/create_model_cli.dart'
    as create_model_cli;
import 'package:jt_flutter_cli/create_widget/create_widget_cli.dart'
    as create_widget_cli;
import 'package:process_run/shell.dart';

/// create new feature
void createFeature(String featureName) {
  create_feature_cli.createNewFeature(featureName);
}

/// create widget
void createWidget(String widgetName) {
  create_widget_cli.createWidget(widgetName);
}

/// create model
void createModel(String modelName, String featureName, String jsonFilePath) {
  create_model_cli.generateDartModel(modelName, featureName, jsonFilePath);
}

/// add api call
void generateApiCallCode(String apiMethod, String apiEndPoint, String apiName) {
  api_call_cli.generateApiCallCode(apiMethod, apiEndPoint, apiName);
}

Future<void> formatCode() async {
  print("....................................");
  await Future.delayed(Duration(milliseconds: 1000));
  await Shell().run("dart format .");
}
